<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head profile="http://selenium-ide.openqa.org/profiles/test-case">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Careful message</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">New pricelists test</td></tr>
</thead><tbody>
<tr>
	<td>openAndWait</td>
	<td>/region_metropolitana</td>
	<td></td>
</tr>
<!-- Let's loop through the different categories with different pricelists -->
<tr>
	<td>select</td>
	<td>id=catgroup</td>
	<td>label=-- Inmuebles --</td>
</tr>
<tr>
        <td>waitForElementPresent</td>
        <td>//input[@id="type_a"]</td>
        <td></td>
</tr>
<tr>
	<td>click</td>
	<td>//input[@id="type_a"]</td>
	<td></td>
</tr>
<tr>
        <td>waitForElementPresent</td>
        <td>//select[@id="ps_0"]</td>
        <td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_0"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_0"]</td>
	<td></td>
</tr>
<!-- Real estates have different properties depending on search type ... -->
<tr>
	<td>click</td>
	<td>//input[@id="type_s"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_10"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_10"]</td>
	<td></td>
</tr>
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=-- Vehículos --</td>
</tr>
<tr>
	<td>click</td>
	<td>//input[@id="type_a"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_1"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_1"]</td>
	<td></td>
</tr>
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=-- Hogar --</td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_3"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_3"]</td>
	<td></td>
</tr>
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=-- Tiempo libre --</td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_4"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_4"]</td>
	<td></td>
</tr>
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=-- Computadores &amp; electrónica --</td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_5"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_5"]</td>
	<td></td>
</tr>
<!-- BEWARE - not  parent categories -->
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=Negocios, maquinaria y construcción</td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_6"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_6"]</td>
	<td></td>
</tr>
<tr>
	<td>select</td>
        <td>catgroup</td>
	<td>label=Otros productos</td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="ps_7"]</td>
	<td></td>
</tr>
<tr>
	<td>assertVisible</td>
	<td>//select[@id="pe_7"]</td>
	<td></td>
</tr>
</tbody></table>
</body>
</html>

